# DO NOT EDIT THIS FILE - See: https://jetty.org/docs/

[description]
Enables Experimental GZIP algorithm for CompressionHandler server wide compression.

[tags]
server
handler
compression
experimental

[depend]
compression-api
compression

[lib]
lib/compression/jetty-compression-gzip-${jetty.version}.jar

[xml]
etc/jetty-compression-gzip.xml

[ini-template]
## Minimum content length after which gzip is enabled
# jetty.gzip.minCompressSize=32

## Inflater pool max size (-1 for unlimited, 0 for no pooling)
# jetty.gzip.inflaterPool.capacity=1024

## Inflater pool use GZIP compatible compression
#jetty.gzip.inflaterPool.noWrap=true

## Deflater pool max size (-1 for unlimited, 0 for no pooling)
# jetty.gzip.deflaterPool.capacity=1024

## Deflater pool default compression level (-1 for default)
# jetty.gzip.deflaterPool.compressionLevel=-1

## Deflater pool use GZIP compatible compression
# jetty.gzip.deflaterPool.noWrap=true

## Buffer Size for Decoder
# jetty.gzip.decoder.bufferSize=512

## Buffer Size for Encoder
# jetty.gzip.encoder.bufferSize=512

## Compression Level for Encoder
# valid values from 1 to 9
# Leave at -1 for default compression level from java.util.zip.Deflater.
# jetty.gzip.encoder.compressionLevel=-1

## Strategy for Encoder
# 0 for Default Strategy
# 1 for Filtered
# 2 for Huffman Only
# see https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/util/zip/Deflater.html
# jetty.gzip.encoder.strategy=0

## syncFlush for Encoder
# true for SYNC_FLUSH, false for NO_FLUSH (default)
# jetty.gzip.encoder.syncFlush=false